<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html"/>

<xsl:template match="/">
	<xsl:apply-templates />
</xsl:template>

<xsl:template match="rdf">
	<xsl:apply-templates select="channel"/>
	<xsl:apply-templates select="item"/>
</xsl:template>

<xsl:template match="channel">
    <h3 class="pageContent"><a href="{link}" target="_blank"><xsl:value-of select="title"/></a></h3>
    <xsl:apply-templates select="/image"/>
</xsl:template>

<xsl:template match="image">
    <a href="{link}" title="{title}" target="_blank">
        <img alt="{title}" border="0">
            <xsl:attribute name="src"><xsl:value-of select="normalize-space(url)"/></xsl:attribute>
            <xsl:if test="width!=''"><xsl:attribute name="width"><xsl:value-of select="width"/></xsl:attribute></xsl:if>
            <xsl:if test="height!=''"><xsl:attribute name="height"><xsl:value-of select="height"/></xsl:attribute></xsl:if>
        </img>
    </a>
</xsl:template>

<xsl:template match="item">
<span class="pageContent">
    <xsl:value-of select="position()"/> - <a class="pageContent"><xsl:attribute name="href"><xsl:value-of select="link"/></xsl:attribute><xsl:value-of select="title"/></a><br/><br/>
</span>
</xsl:template>

</xsl:stylesheet>
