<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="RSS-READER-VIEW">
		<xsl:apply-templates select="TOOLBAR[@ID='channels']"/>
		<table border="0" style="width: 100%;">
<!--			<tr>
				<td valign="top" style="padding: 5px 10px 5px 10px;">
					<xsl:apply-templates select="TOOLBAR[@ID='channels']"/>
				</td>
			</tr>
-->			<tr>
				<td valign="top" style="padding: 5px 10px 5px 10px;">
					<xsl:call-template name="BLOCK-MODULE-BUTTONS"/>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="TOOLBAR[@ID='channels']/TOOLBAR-FIELD[@ID='channels-list']">
		<table border="0" style="width: 100%;">
			<tr>
				<td valign="top" style="padding: 5px 10px 5px 10px;">
					<xsl:apply-templates select="CHANNELS-LIST"/>
				</td>
			</tr>
		<xsl:if test="CHANNELS-LIST/CHANNEL[@CUSTOM='1']">
			<tr>
				<td valign="top" style="padding: 5px 10px 5px 10px;">
					<xsl:call-template name="CUSTOM-CHANNEL"/>
				</td>
			</tr>
		</xsl:if>
	</table>
	</xsl:template>

	<xsl:template match="CHANNELS-LIST">
		<script type="text/javascript" src="/js/util.js?{$version}.{$build}"></script>
		<script type="text/javascript" src="/modules/RssReader/js/edit_control.js?{$version}.{$build}"></script>
		<script type="text/javascript" src="/js/object_selection.js?{$version}.{$build}"></script>
		<script type="text/javascript" language="javascript">
			<xsl:comment>
				self.selectionObject = new SbObjectSelection();
				self.editControl = new SbRssEditControl(self.selectionObject);
			//</xsl:comment>
		</script>
		<xsl:apply-templates select="CHANNEL"/>
	</xsl:template>

	<xsl:template match="CHANNEL">
		<table cellpadding="0" cellspacing="0" border="0" style="float: left; background-color: #ffffff;">
			<tr>
				<td style="padding: 4px;" id="Rss{@CODE}" title="{@TITLE}">
					<table cellpadding="0" cellspacing="0" border="0" id="Rss{@CODE}Source">
						<tr>
							<td><xsl:value-of select="@TITLE"/></td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		<script type="text/javascript" language="javascript">
			<xsl:comment>
				self.editControl.registerObject('Rss<xsl:value-of select="@CODE"/>', '<xsl:value-of select="@RSS"/>', '<xsl:value-of select="@CODE"/>', 'Rss<xsl:value-of select="@CODE"/>Source');
				<xsl:if test="@SELECTED">
					self.editControl.setSelectedObject('Rss<xsl:value-of select="@CODE"/>');
				</xsl:if>
				<xsl:if test="@CUSTOM">
					self.editControl.setCustomObject('Rss<xsl:value-of select="@CODE"/>');
				</xsl:if>
			//</xsl:comment>
		</script>
	</xsl:template>

<!--	<xsl:template match="TOOLBAR[@ID='channels']/TOOLBAR-FIELD[@ID='rss-input-field']"> -->
	<xsl:template name="CUSTOM-CHANNEL">
		<xsl:for-each select="CHANNELS-LIST/CHANNEL[@CUSTOM='1']">
		<br/>
		<table border="0" style="width: 100%;">
			<tr>
				<td valign="top" style="vertical-align: middle; height: 25px;">
					<span id="RssPredefinedChannel" class="sb-control-input-input" style="display: block; width: 100%; background-color: #DDDDDD;"/>
					<input type="text" maxlength="255" autocomplete="off" id="rss-input-field"  class="sb-control-input-input" style="visibility: hidden; display: none; width: 100%;">
						<xsl:attribute name="name"><xsl:value-of select="@NAME"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="@RSS"/></xsl:attribute>
					</input>
					<script type="text/javascript" language="javascript">
						<xsl:comment>
							self.editControl.setInputObject('rss-input-field');
							self.editControl.setPredefinedObject('RssPredefinedChannel');
						//</xsl:comment>
					</script>
				</td>
			</tr>
		</table>
		</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>